#include <stdlib.h>
#include <iostream>
#include <sstream>
#include <string>
#include <vector>
#include <iterator>

#define BRLCAD_PATH string("/usr/brlcad/bin/")

using namespace std;

vector<string> split(string s, char delim)
{
    vector<string> elems;
    stringstream ss;
    ss << s;
    string item;
    int i = 0;
    while (std::getline(ss, item, delim)) elems.push_back(item);
    return elems;
}

int main(int argc, char *argv[])
{
    if(argc > 2)
    {
        string path = string(argv[1]);
        cout << path << endl;
        
        vector<string> splitPath = split(path, '.'); // from foo.asc -> foo
       
        string name = splitPath[0];
        for(int i = 1; i < splitPath.size() - 1; i++) name += "." + splitPath[i]; // separete just ".asc" 


        string objects = "";
        for(int i = 2; i < argc; i++) objects += string(argv[i]);   

        system((BRLCAD_PATH + "asc2g " + path + " " + name + ".g").c_str()); // /usr/brlcad/bin/asc2g 
        
        system( (
                BRLCAD_PATH + "rt -o" + name + ".pix " + name + ".g " + objects + " && chmod 775 " + name + ".pix && "
                + BRLCAD_PATH + "pix-png " + name + ".pix > " + name + ".png"
                ).c_str());

        //cout << "\n\n\n\n\n" << (BRLCAD_PATH + "pix-png " + name + ".pix > " + name + ".png").c_str() << "\n\n\n\n\n" ;

        system(("lximage-qt " + name + ".png").c_str());cout << 8;
    }
}





